import { type ChainDoesNotSupportContractErrorType, type ChainMismatchErrorType, type ChainNotFoundErrorType } from '../errors/chain.js';
import type { ErrorType } from '../errors/utils.js';
import type { Chain, ChainConfig, ChainFormatters } from '../types/chain.js';
import type { Assign, Prettify } from '../types/utils.js';
export type AssertCurrentChainParameters = {
    chain?: Chain;
    currentChainId: number;
};
export type AssertCurrentChainErrorType = ChainNotFoundErrorType | ChainMismatchErrorType | ErrorType;
export declare function assertCurrentChain({ chain, currentChainId, }: AssertCurrentChainParameters): void;
export declare function defineChain<const chain extends Chain, formatters extends ChainFormatters>(chain: chain, config?: ChainConfig<formatters>): Prettify<Assign<chain, ChainConfig<formatters>>>;
export type GetChainContractAddressErrorType = ChainDoesNotSupportContractErrorType;
export declare function getChainContractAddress({ blockNumber, chain, contract: name, }: {
    blockNumber?: bigint;
    chain: Chain;
    contract: string;
}): `0x${string}`;
//# sourceMappingURL=chain.d.ts.map